=== debian/changelog ===
fckit (0.12.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:58:11 +0000

fckit (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 24 Mar 2024 07:32:59 +0000

fckit (0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Feb 2024 10:21:39 +0000

fckit (0.11.0-6) unstable; urgency=medium

  * Fix broken INTERFACE_INCLUDE_DIRECTORIES in fckit-import.cmake
  * Build, test (but don't install) for any compilers in FC_OPTIONAL
  * Drop empty paths.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2023 17:14:50 +0000

fckit (0.11.0-5) unstable; urgency=medium

  * Use fortran-support.mk 0.31; build for default fortran only
  * Revert to libddir for FMODDIR
  * Add fortran:Depends to libfckit-dev
  * libfckit-dev.install.in no longer needs changes; don't autogenerate
  * dh-sequence can't be conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2023 08:35:34 +0000

fckit (0.11.0-4) unstable; urgency=medium

  * Dont dep on  flang-17 on some archs until it builds there

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Dec 2023 08:29:48 +0000

fckit (0.11.0-3) unstable; urgency=medium

  * Fix mod install paths

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Dec 2023 10:42:46 +0000

fckit (0.11.0-2) unstable; urgency=medium

  * Build against eckit >= 1.24.6
  * Build-dep on architecture-is-64-bit rather than explicit list
  * Drop patching of 32-bit code as unused
  * Rebuild with FMODDIR in include not libdir
  * Put gfortran so files in $LIBDIR/fortran/gfortran, not versioned -13

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Dec 2023 11:02:58 +0000
