=== debian/control ===
Source: fckit
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  architecture-is-64-bit,
  dh-sequence-fortran-mod,
  patchelf,
  ecbuild (>= 3.3.0-2),
  python3-all,
  libeckit-dev (>= 1.24.6-1~),
  libssl-dev,
  libcurl4-gnutls-dev
Standards-Version: 4.6.2
Homepage: https://github.com/ecmwf/fckit
Vcs-Browser: https://salsa.debian.org:/mckinstry/fckit.git
Vcs-Git: https://salsa.debian.org:/mckinstry/fckit.git -b debian/latest

Package: libfckit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libfckit0d (= ${binary:Version}), ${shlib:Depends}, ${misc:Depends},
 ${fortran:Depends}, libeckit-dev
Description: Fortran toolkit for interoperating Fortran with C/C++
 This is a toolkit from ECMWF to make ecKit interoperable with Fortran.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libfckit0d
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library Fortran toolkit for interoperating Fortran with C/C++
 This is a toolkit from ECMWF to make ecKit interoperable with Fortran.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.

Package: libfckit-utils
Architecture: all
Depends: ${misc:Depends}, libfckit-dev, python3
Description: Library Fortran toolkit for interoperating Fortran with C/C++
 This is a toolkit from ECMWF to make ecKit interoperable with Fortran.
 .
 ECMWF is the European Centre for Medium-Range Weather Forecasts.
