=== debian/changelog ===
fckit (0.13.0-1) unstable; urgency=medium

  * New upstream release
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 14 Jun 2024 08:38:22 +0100

fckit (0.12.1-2) unstable; urgency=medium

  * Fix paths in fckit-import.cmake for tools in atlas build

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Apr 2024 16:30:11 +0100

fckit (0.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Apr 2024 07:46:49 +0100

fckit (0.12.0-2) unstable; urgency=medium

  * Build against eckit 1.26.1 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 17:28:31 +0100
