=== debian/changelog ===
fckit (0.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 22 Sep 2024 07:37:47 +0100
