=== debian/changelog ===
fckit (0.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 21 Dec 2024 08:03:12 +0000

fckit (0.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Nov 2024 09:42:36 +0000
