=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: fckit
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13), 
   architecture-is-64-bit,
   dh-sequence-fortran-mod,
   patchelf,
   ecbuild (>= 3.3.0-2),
   python3-all,
-  libeckit-dev (>= 1.24.6-1~),
+  libeckit-dev (>= 1.26.1-1~),
   libssl-dev,
   libcurl4-gnutls-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/fckit
-Vcs-Browser: https://salsa.debian.org:/mckinstry/fckit.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/fckit.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/mckinstry/fckit.git
+Vcs-Git: https://salsa.debian.org/mckinstry/fckit.git -b debian/latest
 
 Package: libfckit-dev
 Section: libdevel
