## fckit 0.13.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -125,7 +125,7 @@
 ecbuild_add_option( FEATURE FCKIT_VENV
                     DEFAULT OFF
                     DESCRIPTION "Install Python virtual environment with fypp and a yaml parser"
-                    CONDITION Python3_VERSION VERSION_GREATER_EQUAL 3.8 AND Python3_VERSION VERSION_LESS 3.12 )
+                    CONDITION Python3_VERSION VERSION_GREATER_EQUAL 3.8 )
 
 ecbuild_add_option( FEATURE FCKIT_VENV_OFFLINE
                     DEFAULT OFF
