=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
   libeckit-dev (>= 1.26.1-1~),
   libssl-dev,
   libcurl4-gnutls-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/fckit
 Vcs-Browser: https://salsa.debian.org/mckinstry/fckit.git
 Vcs-Git: https://salsa.debian.org/mckinstry/fckit.git -b debian/latest
