=== debian/changelog ===
fckit (0.14.0-3) unstable; urgency=medium

  * Rebuild for gfortran-mod-16
  * Build-dep on gfortran-15, add conflicts on gfortran-14 to ensure
    correct compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Sep 2025 10:55:05 +0100

fckit (0.14.0-2) unstable; urgency=medium

  * Push to unstable
  * Temporarily drop dep on ford

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 08:43:37 +0100

fckit (0.14.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Jun 2025 08:46:44 +0100

fckit (0.13.4-3) experimental; urgency=medium

  * Add build-dep on ford for documentation

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jun 2025 11:25:01 +0100

fckit (0.13.4-2) experimental; urgency=medium

  * Now need eckit >= 1.29.1. Closes: #1103183

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Apr 2025 11:31:00 +0100
