=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Build-Depends: debhelper-compat (= 13), 
   architecture-is-64-bit,
   dh-sequence-fortran-mod,
+  gfortran-15,
   patchelf,
   ecbuild (>= 3.3.0-2),
   python3-all,
-  libeckit-dev (>= 1.26.1-1~),
+  libeckit-dev (>= 1.29.1-1~),
   libssl-dev,
   libcurl4-gnutls-dev
+Build-Conflicts: gfortran-14
 Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/fckit
 Vcs-Browser: https://salsa.debian.org/mckinstry/fckit.git
