=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,8 @@
 	dh_auto_install --builddirectory=debian/build-$(FC_DEFAULT)
 	# Fixup cmake files. Hack. can we do better with patches to upstream ?
 	sed -i -e 's%$${fckit_INSTALL_PREFIX}/libexec%/usr/bin%g'        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
-	sed -i -e 's%${CURDIR}%/build/fckit/%g'     	        	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
+	sed -i -e 's%$${fckit_BASE_DIR}/libexec%/usr/bin%g'                           $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
+	sed -i -e 's%${CURDIR}%/build/fckit/%g'     	        	              $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%/usr/bin/python %/usr/bin/python3 %g'               	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%fckit-fypp.py%fckit-fypp%' 		         	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
 	sed -i -e 's%fckit-eval.sh%fckit-eval%'                          	      $(TMPDIR)/$(LIBDIR)/cmake/fckit/fckit-import.cmake
