=== debian/changelog ===
fckit (0.14.1-2) unstable; urgency=medium

  * Use new dh_fortran get_fmoddir; correct output

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Nov 2025 11:51:10 +0000

fckit (0.14.1-1) unstable; urgency=medium

  * New upstream release
  * Update d/watch to version 4

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Nov 2025 10:01:51 +0000
