=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 TMPDIR:=$(CURDIR)/debian/tmp
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 INCDIR:=/usr/include/$(DEB_HOST_MULTIARCH)
-FMODDIR:=$(shell echo $(call get_fmoddir,$(FC_DEFAULT)))
+FMODDIR:=$(shell dh_fortran get_fmoddir)
 # Test suite requires 4 processors. Fake it
 export OMPI_MCA_rmaps_base_oversubscribe=1
